a{
	color:white;
}

.no-border{
	border:none !important;
}

li{
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 2px;
}

/*Menu*/
#navbar a {
  position: relative;
  text-decoration: none;
  width:100%;
}


.absolute{
	position:absolute;
}

nav{
	position:absolute;
	z-index:999;
	width:100%;
	height:175px;
	background-color:rgba(110, 110, 110, 0.3);
	font-family:tahoma;
}

#inner-nav{
max-width:1380px;
margin:auto;
}

#desktop-menu-wrapper{
	position: absolute;
    width: 100%;
    left: 0;
}

/**/

#menuToggle{
  display: block;  
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle input
{
  display: block;
  width: 90px;
  height: 90px;
  position: absolute;
  cursor: pointer;
  
  opacity: 0; /* hide this */
  z-index: 2; /* and place it over the hamburger */
  
  -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */
#menuToggle span
{
  display: block;
  width: 75px;
  height: 10px;
  margin-bottom: 20px;
  position: relative;
  
  background: #fff;
  border-radius: 3px;
  
  z-index: 1;
  
  transform-origin: -14px 5px;
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child
{
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}

/* 
 * Transform all the slices of hamburger
 * into a crossmark.
 */
#menuToggle input:checked ~ span
{
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #db5606;
}

/*
 * But let's hide the middle one.
 */
#menuToggle input:checked ~ span:nth-last-child(3)
{
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

/*
 * Ohyeah and the last one should go the other direction
 */
#menuToggle input:checked ~ span:nth-last-child(2)
{
  transform: rotate(-45deg) translate(0, -1px);
}

/*
 * Make this absolute positioned
 * at the top left of the screen
 */
#menu
{
	position: absolute;
    line-height: 90px;
    background: rgba(6, 0, 50, 1);
    width: 100%;
	padding-top: 220px;
    z-index: 0;	
	top:-40px;
	left: 0;

	-webkit-font-smoothing: antialiased;
	/* to stop flickering of text in safari */

	transform-origin: 0% 0%;
	transform: translate(0, -100%);
	transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);

	-ms-transform: translate(0, -100%);
	-webkit-transform: translate(0, -100%);
	-moz-transform: translate(0, -100%);
	-o-transform: translate(0, -100%);
	transform: translate(0, -100%);
}

#menu::before{
    content: '';
    background: white;
    height: 180px;
    width: 100%;
    position: absolute;
    top: 30px;
}


#menu ul{
	top: 5rem;
    text-align: left;
    width: calc(100% - 70px);
    margin: auto;
    float: left;
    padding-left: 35px;
}

#menu li{
    color: #fff;
    width: 100%;
    font-size: 40px;
    font-weight: 400;
    text-transform: uppercase;
    line-height: 150px;
    letter-spacing: 6px;
    border-bottom: solid 2px #2c2c2c;
}

#mobile-menu-logo
{
    position: absolute;
    left: 15px;
    top: 0;
    z-index: 999;		
	-webkit-opacity: 0;
	-moz-opacity: 0;
	opacity: 0;
	-webkit-transition: all 5s ease;
	-moz-transition: all 5s ease;
	-ms-transition: all 5s ease;
	-o-transition: all 5s ease;
	transition: all 5s ease;
}

#mobile-menu-logo img{
    height: 55px;
    margin-top: 57px;
	margin-left:20px;
    position: relative;
    z-index: 2;
}

#mobile-menu-logo::after
{
	content: 'WEBSITES';
    position: absolute;
    left: 23px;
    bottom: -11px;
    font-size: 1.3em;
    letter-spacing: .79em;
    width: 400px;
    z-index: 2;
	color:black;
}

#menuToggle input:checked ~ #mobile-menu-logo
{  
	-webkit-opacity: 1;
	-moz-opacity: 1;
	opacity: 1;
}


/*
 * And let's slide it in from the left
 */
#menuToggle input:checked ~ ul
{
  transform: none;
  	-ms-transform: none;
	-webkit-transform: none;
	-moz-transform: none;
	-o-transform: none;
	transform: none;

}

#desktop-menu{
	width: 50%;
	padding-left:50%;
    left: 0;
    padding-top: 80px;
}


.desktop-menu-bg{
	position: absolute;
    line-height: 80px;
    background: rgba(6, 0, 50, 1);
    width: 100%;
    height: 400px;
	padding-top: 130px;
    z-index: -1;	
	top:-80px;
	left: 0;

	-webkit-font-smoothing: antialiased;
	/* to stop flickering of text in safari */

	transform-origin: 0% 0%;
	transform: translate(0, -100%);
	transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
	
	-ms-transform: translate(0, -100%);
	-webkit-transform: translate(0, -100%);
	-moz-transform: translate(0, -100%);
	-o-transform: translate(0, -100%);
	transform: translate(0, -100%);
	transition-delay: .55s;
}

.desktop-menu-li a{
	color:#fff;	
	width:300px;
	font-size:18px;
}



.desktop-menu-li{
    display: inline-block;
    font-size: 14px;
    color: white;
    padding: 0px 30px;
    border-right: solid;
}


.menu-hidden-li{
	display:block;
	float:none;
	color:#fff;	
    width: 300px;
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
    line-height: 80px;
    letter-spacing: 2px;
	border-bottom: solid 2px #2c2c2c;

	
}

.menu-hidden{
	padding-top:30px;
	transform-origin: 0% 0%;
	transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
	-ms-transform: translate(0, -200%);
	-webkit-transform: translate(0, -200%);
	-moz-transform: translate(0, -200%);
	-o-transform: translate(0, -200%);
	transform: translate(0, -200%);
	transition-duration: .6s;
	transition-delay: .3s;
}

.menu-hidden-right{
	transform: translateX(500%);
	transition-delay: .65s;
	transition-duration: 1.2s;
}

/*Display the dropdown on hover*/
.desktop-menu-li a:hover + .menu-hidden, .menu-hidden:hover, .absolute li:hover + .desktop-menu-bg,
.desktop-menu-li a:hover + .menu-hidden-right{
	transform:none;
	-ms-transform: none;
	-webkit-transform: none;
	-moz-transform: none;
	-o-transform: none;
	transform: none;
}




.menuwrapper{
	float:right;
    margin-top: 53px;
    color: #fff;
    margin-right: 50px;
	display:none;
}


@media only screen and (max-width: 1600px) {
    .menuwrapper{
		display:block;
	}
	
	#logo img{
		margin-top: 57px;
	}
	
	#navigation-desktop{
		display:none;
	}
	
	#inner-nav{
		max-width:unset;
	}
}


.menucontainer {
    display: block;
    cursor: pointer;
}


.desktop-menu-li a:before {
  content: "";
  position: absolute;
  width: 100%;	
  height: 2px;
  bottom: -8px;
  left: 0;
  background-color: #db5606;
  visibility: hidden;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transition: all 0.3s ease-in-out 0s;
  transition: all 0.5s ease-in-out 0s;
  transform-origin: left 2px;
  z-index:999;
}

.desktop-menu-li  a:hover:before {
  visibility: visible;
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}


.menu-hidden a:before {
  content: "";
  position: absolute;
  width: 300px;	
  height: 2px;
  bottom: -33px;
  left: 0;
  background-color: #db5606;
  visibility: hidden;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transition: all 0.3s ease-in-out 0s;
  transition: all 0.5s ease-in-out 0s;
  transform-origin: left 2px;
  z-index:999;
}

.menu-hidden  a:hover:before {
  visibility: visible;
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}



.mobile-drop-down li {
	opacity:0;
    overflow:hidden;
    max-height:0;

	-webkit-transition: all 500ms ease;
	-moz-transition: all 500ms ease;
	-ms-transition: all 500ms ease;
	-o-transition: all 500ms ease;
	transition: all 500ms ease;
}
#menu li:hover .mobile-drop-down li {
	opacity:1;
    max-height:150px;
}

.mobile-has-child::after{
   color: #a8a8a8;
   content: ' ▾';
   float:right;
   text-align:right;
   width:150px;
}
